This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 186096 - Burning of CD-R fails
Burning of CD-R fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 11:53 EST by Christian Nolte
Modified: 2008-05-06 11:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:35:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Nolte 2006-03-21 11:53:56 EST
Description of problem:
Burning of CD-R of any kind fails. Wether it is a blank project to be filled
with some files or burning of an ISO-image.

Version-Release number of selected component (if applicable):
cdrecord-2.01.01.0.a03-3

How reproducible:
I tried this via commandline, with k3b, gnomebaker and nautilus-burn. It fails
everytime.

Steps to Reproduce:
k3b:
1. New CD-R project.
2. Add some files
3. Burn it on CD-R
4. k3b spits out an error

commandline (burning of an ISO):
/usr/bin/cdrecord -v gracetime=2 dev=/dev/cdwriter speed=48 -dao
driveropts=burnfree -overburn -data /home/user/download/FC-5-i386-disc1.iso

  
Actual results:

The error message from cdrecord is:

/usr/bin/cdrecord: Resource temporarily unavailable. Cannot get mmap for 4198400
Bytes on /dev/zero.

Expected results:

cdrecord must burn.

Additional info:
-
Comment 1 Christian Nolte 2006-03-23 03:00:09 EST
I dug further in this issue and it seems that the mentioned problem occurs if i
give in to k3b's suggestion to set-uid root cdrecord. Undoing this change (chmod
0755 /usr/bin/cdrecord) resolves this problem, _if_ I run cdrecord as root. As a
normal user I have no chance to burn a CD-R. 

BTW DVD recording works fine.

The error message cdrecord now gives when a normal user wants to try to burn a
CD is:

/usr/bin/cdrecord -v gracetime=2 dev=/dev/hdd speed=48 -dao driveropts=burnfree
-overburn -data /home/user/download/azureus/bordeaux-binary-i386/FC-5-i386-disc2.iso

Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg
Schilling
NOTE: This version contains the OSS DVD extensions for cdrtools and thus may
      have bugs related to DVD issues that are not present in the original
      cdrtools. Please send bug reports or support requests to
      http://bugzilla.redhat.com/bugzilla The original cdrtools author should
      not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdd'
devname: '/dev/hdd'
scsibus: -2 target: -2 lun: -2
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
/usr/bin/cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.85-RH '@(#)scsi-linux-sg.c    1.85 05/05/16
Copyright 1997 J. Schilling').
Driveropts: 'burnfree'
SCSI buffer size: 64512
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 1
Vendor_info    : 'PLEXTOR '
Identifikation : 'DVDR   PX-712A  '
Revision       : '1.05'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009
Profile: 0x001B
Profile: 0x001A
Profile: 0x0014
Profile: 0x0013
Profile: 0x0011
Profile: 0x0010
Profile: 0x000A
Profile: 0x0009 (current)
Profile: 0x0008
/usr/bin/cdrecord: Operation not permitted. Cannot send SCSI cmd via ioctl
Comment 2 Harald Hoyer 2006-03-23 05:09:15 EST
please try the cdrecord options:
 -driver mmc_mdvd
or
 -driver mmc_cd_dvd
Comment 3 Christian Nolte 2006-03-23 06:29:22 EST
I tried both. Both fail with "Operation not permitted. Cannot send SCSI cmd via
ioctl" at the end. Here is the output and command-line I used:


/usr/bin/cdrecord -driver=mmc_cd_dvd -dummy -v gracetime=2 dev=/dev/hdd speed=48
-dao driveropts=burnfree -overburn -data
/home/nolte/download/azureus/bordeaux-binary-i386/FC-5-i386-disc5.iso


Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg
Schilling
NOTE: This version contains the OSS DVD extensions for cdrtools and thus may
      have bugs related to DVD issues that are not present in the original
      cdrtools. Please send bug reports or support requests to
      http://bugzilla.redhat.com/bugzilla The original cdrtools author should
      not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdd'
devname: '/dev/hdd'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
/usr/bin/cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.85-RH '@(#)scsi-linux-sg.c       1.85
05/05/16 Copyright 1997 J. Schilling').
Driveropts: 'burnfree'
SCSI buffer size: 64512
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 1
Vendor_info    : 'PLEXTOR '
Identifikation : 'DVDR   PX-712A  '
Revision       : '1.05'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009
Profile: 0x001B
Profile: 0x001A
Profile: 0x0014
Profile: 0x0013
Profile: 0x0011
Profile: 0x0010
Profile: 0x000A
Profile: 0x0009 (current)
Profile: 0x0008
/usr/bin/cdrecord: WARNING: Trying to use other driver on known device.
/usr/bin/cdrecord: Operation not permitted. Cannot send SCSI cmd via ioctl

---

 /usr/bin/cdrecord -driver=mmc_mdvd -dummy -v gracetime=2 dev=/dev/hdd speed=48
-dao driveropts=burnfree -overburn -data
/home/nolte/download/azureus/bordeaux-binary-i386/FC-5-i386-disc5.iso


Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg
Schilling
NOTE: This version contains the OSS DVD extensions for cdrtools and thus may
      have bugs related to DVD issues that are not present in the original
      cdrtools. Please send bug reports or support requests to
      http://bugzilla.redhat.com/bugzilla The original cdrtools author should
      not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdd'
devname: '/dev/hdd'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
/usr/bin/cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.85-RH '@(#)scsi-linux-sg.c       1.85
05/05/16 Copyright 1997 J. Schilling').
Driveropts: 'burnfree'
SCSI buffer size: 64512
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 1
Vendor_info    : 'PLEXTOR '
Identifikation : 'DVDR   PX-712A  '
Revision       : '1.05'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009
Profile: 0x001B
Profile: 0x001A
Profile: 0x0014
Profile: 0x0013
Profile: 0x0011
Profile: 0x0010
Profile: 0x000A
Profile: 0x0009 (current)
Profile: 0x0008
/usr/bin/cdrecord: WARNING: Trying to use other driver on known device.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
Drive buf size : 4802784 = 4690 KB
Drive DMA Speed: 6609 kB/s 37x CD 4x DVD
FIFO size      : 4194304 = 4096 KB
Track 01: data   369 MB
Total size:      424 MB (42:04.44) = 189333 sectors
Lout start:      425 MB (42:06/33) = 189333 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 6
  Is not unrestricted
  Is not erasable
  ATIP start of lead in:  -11524 (97:28/26)
  ATIP start of lead out: 359849 (79:59/74)
Disk type:    Short strategy type (Phthalocyanine or similar)
Manuf. index: 13
Manufacturer: Multi Media Masters & Machinary SA
Blocks total: 359699 Blocks current: 359699 Blocks remaining: 170366
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsi_set_streaming
Speed set to 8467 KB/s
Starting to write CD/DVD at speed   6.0 in dummy SAO mode for single session.
Last chance to quit, starting dummy write    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
trackno=0
BURN-Free is ON.
Turning BURN-Free off
/usr/bin/cdrecord: Operation not permitted. Cannot send SCSI cmd via ioctl
Writing  time:    0.081s
/usr/bin/cdrecord: Operation not permitted. Cannot send SCSI cmd via ioctl
/usr/bin/cdrecord: fifo had 64 puts and 0 gets.
/usr/bin/cdrecord: fifo was 0 times empty and 0 times full, min fill was 100%.



Comment 4 Bryan Cole 2006-04-20 03:29:36 EDT
I get the same problem on FC5 when buring as a normal user. However, burning as
root works fine.

Note, I'm using an ATAPI IDE cdrw device. my kernel is 2.6.16-1.2080.

I googled a bit on this. I think it might be a change in a recent kernel update.
CD-buring worked fine on FC4 and earlier. I've tried all the usual cdrecord
tricks like setting/removing SUID on the binary, changingg permissions on the
devices etc. Nothing works. Only root can burn CDs.
Comment 5 Christian Nolte 2006-04-20 04:11:19 EDT
I have found a thread which addresses the same problem:

http://lists.debian.org/debian-kde/2005/10/msg00035.html

The solution one poster mentions is to set up a sudo alias:

http://lists.debian.org/debian-kde/2005/10/msg00042.html

IMHO this is not something what some end user should have to do to burn cds.
Comment 6 Bryan Cole 2006-04-20 13:58:13 EDT
I get the same problem on FC5 when buring as a normal user. However, burning as
root works fine.

Note, I'm using an ATAPI IDE cdrw device. my kernel is 2.6.16-1.2080.

I googled a bit on this. I think it might be a change in a recent kernel update.
CD-buring worked fine on FC4 and earlier. I've tried all the usual cdrecord
tricks like setting/removing SUID on the binary, changingg permissions on the
devices etc. Nothing works. Only root can burn CDs.
Comment 7 Christian Nolte 2006-06-06 07:58:49 EDT
Could this be a duplicate of bug #179862?
Comment 8 petrosyan 2008-03-10 21:53:53 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 9 Bug Zapper 2008-04-03 22:10:39 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 11:35:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.